{% extends "base.njk" %}

{% block content %}
<div  ng-controller="recent_transactions">
    <h3 ng-if="txpool.length> 0">Unconfirmed Txs</h3>
    <table ng-if="txpool.length> 0" id="block-table" class="txns">
        <thead>
            <tr>
                <td>{{i18n.Type}}</td>
                <td class="txhash">{{i18n.TxHash}}</td>
                <td class="amount right">{{i18n.Amount}}</td>
            </tr>
        </thead>
        <tbody id="block-list">
            <tr ng-if="txpool.length > 0" ng-repeat="tx in txpool">
                <td>${tx.type | txType}</td>
                <td class="txhash">
                    <a href="/${tx.hash.toLowerCase()}">${tx.hash.toLowerCase()}</a> 
                </td>
                <td  class="right amount"><span class="strong">${tx.data.amount | currency |touch} BLN</span></td>
            </tr>
            <tr ng-if="transactions.length == 0">
                <td colspan="5">
                    {% include "spinner.njk" %}
                </td>
            </tr>
        </tbody>
    </table>
    <h3>{{i18n.RecentTransactions}}</h3>
    <table id="block-table" class="txns" ng-controller="recent_transactions">
        <thead>
            <tr>
                <td class="mobile-hide">{{i18n.Height}}</td>
                <td class="time">{{i18n.Time}}</td>
                <td>{{i18n.Type}}</td>
                <td class="txhash mobile-hide">{{i18n.TxHash}}</td>
                <td class="amount right">{{i18n.Amount}}</td>
            </tr>
        </thead>
        <tbody id="block-list">
            <tr ng-if="transactions.length > 0" ng-repeat="tx in transactions">
                <td class="mobile-hide"><a href="/${tx.data.blockHeight}">${tx.data.blockHeight}</a></td>
                <td class="time">${tx.time | realstr}</td>
                <td><a href="/${tx.txid.toLowerCase()}">${tx.type | txType}</a></td>
                <td class="address mobile-hide" style="line-height: 1.6;">
                    <a href="/${tx.from}">${Users[tx.from] || tx.from}</a><br>
                    <a href="/${tx.to}">${Users[tx.to] || tx.to}</a>
                </td>
                <td  class="right amount"><span class="strong">${tx.data.amount | currency |touch} BLN</span></td>
            </tr>
            <tr ng-if="transactions.length == 0">
                <td colspan="5">
                    {% include "spinner.njk" %}
                </td>
            </tr>
        </tbody>
    </table>
</div>
{% endblock %}